Page MenuHomePhabricator

Create a namespace checkbox for "Discussion"
Closed, ResolvedPublic1 Story Points

Description

Motivation
User testimony, search data, and some current wiki behaviors have identified a user need of searching through multiple talk pages at once.

Task
Create a check box named "Discussion" that adds (or removes) the namespaces for Project + all talk namespaces to the list of namespaces being searched.

Acceptance Criteria

  • when all namespaces associated with the button are included, the checkbox is checked.
    • if you click the checkbox in this state, all namespaces associated with this checkbox are removed, the checkbox becomes unchecked
  • when some or none (but not all) of the associated namespaces are currently included the checkbox is unchecked
    • if you click the checkbox in this state, all namespaces not currently included in the search are included, the checkbox becomes checked.
  • when the "all" checkbox is selected, this box is also selected (since the namespaces are also part of all)

Notes: This should be done after T173736 as this sets the setup for this story as well.

Details

Related Gerrit Patches:
mediawiki/extensions/AdvancedSearch : masterAdd General Help & Discussion checkboxes to presets

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2017, 3:55 PM
Lea_WMDE triaged this task as Medium priority.Feb 7 2018, 11:50 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE moved this task from Text stuff to Tickets ready for pickup on the Advanced-Search board.
Lea_WMDE updated the task description. (Show Details)Feb 14 2018, 2:55 PM
Lea_WMDE set the point value for this task to 1.

Change 412751 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/extensions/AdvancedSearch@master] [In progress] Add Genreal Help checkbox to presets

https://gerrit.wikimedia.org/r/412751

@Lea_WMDE : Are you 100% sure that for the current projects those two presets (T173734: Create a namespace checkbox for "Discussion" and T173736: Create a namespace checkbox for "General Help") are the best fit & that all the projects share the same "Discussion" namespaces? I'm thinking about Meta, Translate wiki and Commons, which might need different presets. At the moment we hardcode the presets in JavaScript, so they're the same for all wikis. Which might be fine for the MVP and configurability might be a follow-up ticket when we get into full beta (AdvancedSearch).

We estimated ticket T173736 with configurability in mind. So it depends how important configurability is for you relative to the other tickets in the "Ready for pickup" column.

@Addshore : Is there some public repo where I can look up which namespaces are defined for each project?

Change 412751 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Add General Help & Discussion checkboxes to presets

https://gerrit.wikimedia.org/r/412751

Lea_WMDE closed this task as Resolved.Mar 23 2018, 12:20 PM